@charset "utf-8";
@import url('font.css');
@import url('reset.css');
@import url('base.css');

html,
body{
    overflow-x: hidden;
}
.inner-layer{
    max-width: 1000px;
    margin: 0 auto;
}

/* Login */
#header{
    position: relative; 
    width: 100%;
    background-repeat: no-repeat;
    background-position: center 0;
    background-image: url('../image/bg_sub_visual.png');
    padding: 50px 20px 20px;
    text-align: center;
}
.header-wrap{
    width: 100%;
}
.header-wrap img{
    width: auto;
    max-width: 100%;
}

.wrap.login .contents{
    padding-bottom: 30px;
}
.wrap.login #header{
    background: none;
    padding: 0;
}
.wrap.login #header .btn-logout{
    display: none !important;
}
.btn.btn-logout{
    display: inline-block;
    position: absolute;
    top: 40px;
    right: calc((100% - 1000px)/2);
    padding: 14px 30px;
    background-color: #1F334A;
    border-radius: 50px;
    font-size: 1.7rem;
    font-weight: 700;
    color: #fff;
    vertical-align: middle;
}

.contents{
    padding-top: 50px;
    padding-bottom: 100px;
    font-size: 1.5rem;
    line-height: 1.4;
}
.login-wrap{
    max-width: 640px;
    margin: 0 auto;
    border-radius: 10px;
    border: 1px solid #d8e2eb;
    background: radial-gradient(154.27% 131.33% at -4950% -4950%, rgba(107, 184, 224, 0.18) 0%, rgba(107, 184, 224, 0.00) 34%), radial-gradient(154.27% 131.33% at 100% -4950%, rgba(233, 31, 103, 0.12) 0%, rgba(233, 31, 103, 0.00) 32%), linear-gradient(180deg, #FFF 0%, #FBFDFF 100%);
}
.login-input{
    padding: 45px 45px 30px;
}
.login-input .write-wrap{
    border: 0;
}
.login-input .form-tit,
.login-input .form-con{
    display: block;
    width: 100%;
    padding: 0;
}
.login-input .form-tit{
    background: none;
    padding-bottom: 10px;
    font-size: 1.5rem;
    font-weight: 600;
    color: #1C2630;
}
.login-input .form-tit .help-text{
    display: inline-block;
    margin-top: -3px;
    margin-left: 10px;
    font-size: 13px;
    font-weight: 600;
    color: #E91F67;
    vertical-align: middle;
}
.login-input .write-wrap > li{
    border: 0;
}
.login-input .write-wrap > li + li{
    margin-top: 15px;
}
.login-input .form-group{
    display: flex;
    align-items: center;
    padding: 0 15px;
    border: 1px solid #d7dce4;
    border-radius: 4px;
    background-color: #fff;
}
.login-input .form-group .icon{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex: 0 0 auto;
    vertical-align: middle;
    line-height: 1;
}
.login-input .form-group .icon svg{
    width: 21px;
    height: auto;
}
.login-input .form-group .form-item{
    border: 0;
    width: 100%;
    height: 50px;
    padding: 0 15px;
    font-size: 14px;
}
.form-item::placeholder{
    color: #9AA8B4;
}
.login-input .btn-wrap{
    margin-top: 20px;
}
.btn.btn-login{
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: center;
    width: 100%;
    margin: 1px;
    padding: 15px;
    border-radius: 4px;
    background-color: #E91F67;
    box-shadow: 0 12px 24px 0 rgba(233, 31, 103, 0.25);
    font-size: 2.2rem;
    font-weight: 600;
    color: #fff;
    text-align: center;
}
.btn.btn-login .icon{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    vertical-align: middle;
    transition: 0.3s ease;
}
.btn.btn-login:hover .icon{
    transform: translateX(5px);
}
.login-info{
    padding: 20px 45px;
    border-top: 1px solid #EDF1F5;
    background-color: rgba(248, 251, 253, 0.88);
    font-size: 14px;
    font-weight: 600;
    color: #4B5965;
    line-height: 1.5;
}
.login-info .list-type-dot > li{
    line-height: 1.3;
}
.login-info .list-type-dot > li + li{
    margin-top: 7px;
}
.login-info .list-type-dot > li:before{
    top: 6px;
    width: 5px;
    height: 5px;
    background-color: #E95489;
}

.lecture-list{
    width: 100%;
    margin-top: 20px;
}
.lecture-list > li{
    display: flex;
    align-items: center;
    gap: 10%;
    position: relative;
    padding: 25px 30px;
    border-radius: 16px;
    border-top: 1px solid #E3E9EE;
    border-bottom: 1px solid #E3E9EE;
    background-color: #FFF;
    font-size: 1.6rem;
    box-shadow: 0 10px 26px 0 rgba(31, 67, 98, 0.05);
    word-break: keep-all;
}
.lecture-list > li:before{
    display: block;
    content: '';
    clear: both;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 4px;
    height: 75%;
    border-radius: 0 999px 999px 0;
    background-color: #65B7E1;
}
.lecture-list > li + li{
    margin-top: 15px;
}
.lecture-list .tit{
    margin-right: auto;
}
.lecture-list .time{
    display: inline-block;
    padding: 5px 7px;
    margin-bottom: 10px;
    border-radius: 30px;
    background-color: #F1F7FB;
    font-size: 15px;
    font-weight: 500;
    color: #226E9E;
    letter-spacing: -0.03em;
}
.lecture-list .tit > strong{
    display: block;
    font-size: 1.9rem;
    font-weight: 500;
}
.lecture-list .name{
    font-weight: 500;
    text-align: right;
}
.lecture-list .btn-type1{
    flex: 0 0 auto;
    min-width: initial;
    padding: 6px 17px;
    font-size: 1.5rem;
    font-weight: 500;
    transition: 0.3s ease;
}
.lecture-list .btn-type1:hover{
    box-shadow: 0 10px 26px 0 rgba(31, 67, 98, 0.05);
}
.lecture-list .session{
    background: linear-gradient(90deg, rgba(233, 31, 103, 0.05) 0%, rgba(101, 183, 225, 0.11) 100%), #F8FBFD;
}
.lecture-list .session:before{
    background-color: #E95489;
}
.lecture-list .session .time{
    background-color: #FFE5DA;
    color: #111;
    font-weight: 600;
}
.lecture-list .session .tit > strong,
.lecture-list .session .name{
    font-weight: 600;
}
/* .lecture-list > li + .session{
    margin-top: 70px;
} */

.btn.btn-kakao{
    position: fixed;
    bottom: 100px;
    right: calc((100% - 1000px)/2 - 150px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
    width: 95px;
    height: 95px;
    border-radius: 50%;
    background-color: #FEE500;
    box-shadow: 0 7px 11px 0 rgba(215, 208, 147, 0.94);
    font-size: 1.5rem;
    font-weight: 700;
    color: #2F363E;
    text-align: center;
    transition: 0.3s ease;
}
.btn-kakao:hover{
    transform:  translateY(-5px);
}

/* responsive */
@media screen and (max-width: 1300px){
    .btn.btn-kakao{
        right: 2%;
    }
}
@media screen and (max-width: 1024px){
    html,
    body{
        font-size: 9px;
    }

    .inner-layer{
        padding-inline: 4%;
    }

    #header .btn-logout{
        right: 4%;
    }
    #header{
        padding: 0;
        background: none;
    }

    .btn.btn-kakao{
        width: 70px;
        height: 70px;
        bottom: 50px;
        font-size: 13px;
    }
    .btn.btn-kakao img{
        width: 30px;
    }
}
@media screen and (max-width: 768px){
    html,
    body{
        font-size: 8px;
    }
    
    .btn.btn-type1{
        min-width: initial;
        padding: 8px 16px;
        font-size: 16px;
    }

    #header .btn-logout{
        top: 30px;
        padding: 6px 12px;
        font-size: 12px;
    }

    .contents{
        padding-top: 30px;
        padding-bottom: 50px;
    }
    .login-wrap{
        max-width: 100%;
        margin: 0 4%;
    }
    .login-input{
        padding: 20px 30px 25px;
    }
    .login-input .form-tit{
        padding-bottom: 5px;
        font-size: 14px;
    }
    .login-input .form-tit .help-text{
        margin-left: 5px;
        font-size: 16px;
    }
    .login-input .form-group{
        padding: 0 7px;
    }
    .login-input .form-group .icon svg{
        width: 14px;
    }
    .login-input .form-group .form-item{
        height: 40px;
        padding: 0 7px;
        font-size: 14px;
    }
    .login-input .btn-wrap{
        margin-top: 12px;
    }
    .btn.btn-login{
        padding: 10px;
        font-size: 16px;
    }
    .btn.btn-login .icon{
        margin-top: 1px;
    }
    .login-info{
        padding: 15px 30px;
        font-size: 12px;
    }
    .login-info .list-type-dot > li{
        padding-left: 12px;
    }
    .login-info .list-type-dot > li + li{
        margin-top: 3px;
    }
    .login-info .list-type-dot > li:before{
        top: 5px;
        width: 4px;
        height: 4px;
    }

    .lecture-list{
        margin-top: 15px;
    }
    .lecture-list > li{
        flex-direction: column;
        align-items: start;
        gap: 5px;
        padding: 20px;
        font-size: 14px;
    }
    .lecture-list > li:before{
        width: 3px;
    }
    .lecture-list > li + li{
        margin-top: 10px;
    }
    .lecture-list .tit{
        width: 100%;
        margin-right: 0;
    }
    .lecture-list .name{
        width: 100%;
        margin-top: 5px;
    }
    /* .lecture-list > li + .session{
        margin-top: 30px;
    } */
    .lecture-list .time{
        padding: 3px 5px;
        margin-bottom: 5px;
        font-size: 12px;
    }
    .lecture-list .tit > strong{
        font-size: 16px;
    }
    .lecture-list .btn-type1{
        margin-left: auto;
        padding: 4px 12px;
        font-size: 13px;
    }
    .lecture-conbox .btn-wrap{
        position: fixed;
        left: 0;
        bottom: 0;
        z-index: 2;
        width: 100%;
    }
    .lecture-conbox .btn-wrap .btn-type1{
        width: 100%;
        padding: 13px 10px;
    }
    .lecture-conbox{
        padding-bottom: 30px;
    }

    .btn.btn-kakao{
        position: absolute;
        gap: 4px;
        width: 65px;
        height: 65px;
        right: 4%;
        top: 25vw;
        bottom: auto;
        font-size: 11px;
    }
    .btn.btn-kakao img{
        width: 30px;
    }
    .wrap.login .btn-kakao{
        position: fixed;
        top: auto;
        right: 8%;
        bottom: 40px;
    }
}
